Subject: Ongoing projects - status update as of 2024/03/27 / requests for clarification
From: "Michal Siemaszko" <[email-masked]>
To: Jürgen Albert <[email-masked]>, "Mark Hoffmann" <[email-masked]>
Date: Wed, 27 Mar 2024 14:18:49 +0100

Status as of 2024/03/27 is I am working on the PlayerTour project, since you have not assigned to me any other projects of higher priority for now. 

*1*. Following was taken care of:
 
- "Swagger / OpenAPI GeoJSON support in REST API endpoints utilizing generated EMF model code #28"
    https://github.com/AmateurPlayerTour/backend/pull/28

- "Swagger / OpenAPI GeoJSON support in REST API endpoints utilizing generated EMF model code #29"
    https://github.com/AmateurPlayerTour/frontend/pull/29
 
- "Admin UI is accessable from every Google Account #26"
    https://github.com/AmateurPlayerTour/backend/issues/26

- "Issues with SSL configuration, causing SSL certificates errors for all PlayerTour-related sub-domains #33"
    https://github.com/AmateurPlayerTour/backend/issues/33
      
- "Issues with PlayerTour-related services, causing 503/502 errors from PlayerTour-related services #34"
    https://github.com/AmateurPlayerTour/backend/issues/34

*2*. Following issues were noticed during the course of bringing staging environment to usable state ( needed to properly test https://github.com/AmateurPlayerTour/backend/pull/28 ) and reported:

- "Ansible Jenkins plugin upgraded to incompatible version #35"
    https://github.com/AmateurPlayerTour/backend/issues/35
      
- "PlayerTour admin panel fails with "500 Server Error" #36"
    https://github.com/AmateurPlayerTour/backend/issues/36
      
- "Monitoring of PlayerTour-related services may be misconfigured, causing infinite loops #37"
    https://github.com/AmateurPlayerTour/backend/issues/37

*3*. Having taken care of items mentioned in #1 above, I started working on other PlayerTour items, namely backend issues, some of which were already mentioned in reivew of work Marcus did in https://github.com/AmateurPlayerTour/frontend/pull/11#issuecomment-1817169295, which subsequently Markus and yourself noticed as well, e.g.: 

- "Creation of ScoreCard is very slow #31"
    https://github.com/AmateurPlayerTour/backend/issues/31

- "Scorecard Creation takes to long #29"
    https://github.com/AmateurPlayerTour/backend/issues/29

.. and several other, which I will outline once new PR is ready.

*4*. I would like to remind you: 

*a*) about email I sent on March 6th ("*Re: Non-Renewal Notice*"), to which I still have not received a reply - it contained items I need from you, considering this situation;
 
*b*) to please immediately abstain from causing me any further damages via flame wars in publicly available projects (e.g. Gecko EMF / etc.), where same pattern as happened numerous times already takes place - i.e. I report problems, provide solutions to them, you acknowledge those problems by either fixing them yourself or verbatim, but then argue that problems do not exist and try to convince me there is no problem to begin with; this is absurd, is a huge waste of time as I'd rather focus on delivering / solving what needs to be solved; in addition, and what's most important, considering those are publicly available projects, this is causing further damages to me;
  
I need to leave for several hours in a bit and will not be able to attend today's meeting at 4 PM. 

Since I have no questions, know what to focus on, and conveyed in writing all that needs to be passed on, today's meeting is not needed anyway.

-- 
          Michael H. Siemaszko
          Telegram: mhsiemaszko
          Email: [email-masked],
                 [email-masked]
          WWW: http://ideas.into.software/
          GitHub: https://github.com/ideas-into-software/
          LinkedIn: http://www.linkedin.com/in/mhsiemaszko/
          Twitter: https://twitter.com/IntoSoftware/